rio_request_inb_mbox
Prev | Functions | Next

## Name

rio_request_inb_mbox — request inbound mailbox service

## Synopsis

`int rio_request_inb_mbox (` | struct rio_mport * | mport,
| void * | dev_id,
| int | mbox,
| int | entries,
| void (* | minb`(`struct rio_mport * mport, void *dev_id, int mbox, int slot`)``)`;

## Arguments

`mport`

  RIO master port from which to allocate the mailbox resource

`dev_id`

  Device specific pointer to pass on event

`mbox`

  Mailbox number to claim

`entries`

  Number of entries in inbound mailbox queue

`minb`

  Callback to execute when inbound message is received

## Description

Requests ownership of an inbound mailbox resource and binds a callback function to the resource. Returns `0` on success.

Prev | Up | Next
rio_local_get_device_id | Home | rio_release_inb_mbox